Deprecated! Please use modern static site generators, e.g. https://nextjs.org/
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
This repo is archived. You can view files and clone it, but cannot push or open issues/pull-requests.
 
 
 

48 lines
1.2 KiB

  1. [tool.poetry]
  2. name = "flatfilecms"
  3. version = "0.5"
  4. description = "flat-file CMS suitable for static site"
  5. authors = ["Radium, LLC <flatfilecms@radium.group>"]
  6. license = "ISC"
  7. readme = "README.rst"
  8. homepage = "https://trac.radium.group/flatfilecms/"
  9. keywords = ["web", "pyramid", "pylons", "flat-file", "CMS"]
  10. classifiers = [
  11. "Programming Language :: Python :: 3.6",
  12. "License :: OSI Approved :: ISC License (ISCL)",
  13. "Framework :: Pyramid",
  14. "Topic :: Internet :: WWW/HTTP",
  15. "Topic :: Internet :: WWW/HTTP :: Site Management"
  16. ]
  17. [tool.poetry.dependencies]
  18. python = "^3.7"
  19. pyramid = "^1.10"
  20. PyYAML = "^5.1"
  21. pyramid-debugtoolbar = "^4.6.1"
  22. plaster_pastedeploy = "^0.7.0"
  23. pyramid_jinja2 = "^2.8"
  24. Markdown = "^3.1"
  25. python-frontmatter = ">0.4.5"
  26. pyramid-webpack = "^0.1.3"
  27. Babel = "^2.7"
  28. pyramid-mako = "^1.1.0"
  29. [tool.poetry.extras]
  30. debug = ["pyramid-debugtoolbar"]
  31. [tool.poetry.scripts]
  32. generate-static-site = 'flatfilecms.scripts.generate:main'
  33. [tool.poetry.dev-dependencies]
  34. WebTest = "^2.0"
  35. pytest = "^5.2"
  36. pytest-cov = "^2.8"
  37. [tool.poetry.plugins."paste.app_factory"]
  38. main = "flatfilecms:main"
  39. [build-system]
  40. requires = ["poetry>=0.12"]
  41. build-backend = "poetry.masonry.api"